Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Class DefaultBeanNameGenerator

    java.lang.Object
      org.springframework.beans.factory.support.DefaultBeanNameGenerator

All Implemented Interfaces:
  BeanNameGenerator

    public class DefaultBeanNameGenerator

extends Object
implements BeanNameGenerator

Default implementation of the `BeanNameGenerator` interface, delegating to `BeanDefinitionReaderUtils.generateBeanName(AbstractBeanDefinition, BeanDefinitionRegistry)`.

Note: This implementation is only able to handle `AbstractBeanDefinition` subclasses such as `RootBeanDefinition` and `ChildBeanDefinition`.

Since:
  2.0.3
Author:
  Juergen Hoeller

Constructor Summary
`DefaultBeanNameGenerator()`

Method Summary
`String` | `generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry)` Generate a bean name for the given bean definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBeanNameGenerator

    public DefaultBeanNameGenerator()

Method Detail

### generateBeanName

    public String generateBeanName(BeanDefinition definition,
                                   BeanDefinitionRegistry registry)

  Description copied from interface: `BeanNameGenerator`
  Generate a bean name for the given bean definition.

  Specified by:
    `generateBeanName` in interface `BeanNameGenerator`
  Parameters:
    `definition` - the bean definition to generate a name for
    `registry` - the bean definition registry that the given definition is supposed to be registered with
  Returns:
    the generated bean name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.